package cn.com.ty.lift.business.capital.dao.entity;

import cn.com.ty.lift.business.common.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.LocalDateTime;


/**
 * @author bieao
 * @date 2020/2/5
 * @description 大修签到
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class SignIn extends BaseEntity {

    @TableId(value = "id",type = IdType.ID_WORKER)
    private Long id;

    /**
     * 维保公司ID
     */
    private Long mtCompanyId;

    /**
     * 项目ID
     */
    private Long projectId;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 经纬度
     */
    private String coordinate;

    /**
     * 签到地址
     */
    private String address;

    /**
     * 签到日期
     */
    private LocalDateTime sign_date;

    /**
     * 状态（是否迟到早退，0：否，1：是）
     */
    private Integer status;

    /**
     * 类型 1：上班打卡，2：下班打卡
     */
    private Integer type;
}
