package cn.com.ty.lift.business.capital.dao.entity.model.request;

import cn.com.xwy.boot.controller.BaseRequestModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2020/2/3 11:53 上午
 * @description 大修详情请求
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class CapitalDetailRequest extends BaseRequestModel {

    /**
     * 项目ID
     */
    @NotNull(message = "notEmpty")
    private Long id;

}
