package cn.com.ty.lift.business.capital.dao.entity.model.request;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2020/2/4
 * @description 大修审核
 */
@Data
public class CapitalRepairAuditRequest {

    /**
     * 是否通过(0:不通过，1:通过)
     */
    @NotEmpty(message = "notEmpty")
    private String pass;

    /**
     * 大修项目id
     */
    @NotNull(message = "notEmpty")
    private Long id;
}
