package cn.com.ty.lift.business.capital.dao.mapper;

import cn.com.ty.lift.business.capital.dao.entity.SignIn;
import cn.com.ty.lift.business.capital.dao.entity.model.request.SignInRequest;
import cn.com.ty.lift.business.capital.dao.entity.model.response.SignInResponse;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

/**
 * @author bieao
 * @date 2020/2/5
 * @description 大修签到数据层
 */
public interface SignInMapper extends BaseMapper<SignIn> {

    IPage<SignInResponse> findByCondition(IPage<SignInResponse> page, @Param("request") SignInRequest request);

}
