package cn.com.ty.lift.business.contract.dao.entity;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author bieao
 * @date 2020/1/8
 * @description 合同扩展
 */
@Data
public class ContractsExtend {
    /**
     * 收款列表
     */
    private List<Payment> paymentList;

    /**
     * 合同信息
     */
    private Contracts contracts;

    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 项目地址
     */
    private String projectAddress;
}
