package cn.com.ty.lift.business.maintenance.dao.entity.model.response;

import cn.com.ty.lift.business.maintenance.dao.entity.MaintenancePlan;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>保养计划返回</p>
 * @author wcz
 * @since  2020/1/17
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class MtPlanResponse extends MaintenancePlan {

    /**
     * 电梯类型 1直梯，2扶梯
     */
    private Integer liftType;
    /**
     * 单位设备编号
     */
    private String useCompanyCode;

    /**
     * 注册代码
     */
    private String registrationCode;
    /**
     * 项目名
     */
    private String projectName;

    /**
     * 电梯位置
     */
    private String devicePosition;

    /**
     * 电梯主要负责人
     */
    private String workerName;

    /**
     * 超期类型，1计划超期，2法规超期
     */
    private Integer overdue;
}
