package cn.com.ty.lift.common.model;

import com.baomidou.mybatisplus.core.metadata.IPage;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * <p>
 *     带count的分页对象
 * </p>
 * @author wcz
 * @since  2019/12/18
 */
@AllArgsConstructor
@Data
public class CountPage<T> {

    /**
     * 总记录数
     */
    private long count;

    /**
     * 分页查询结果
     */
    private IPage<T> page;

}
