package cn.com.ty.lift.enterprise.oa.service;

import cn.com.ty.lift.enterprise.oa.dto.AnnouncementRequest;
import cn.com.ty.lift.enterprise.oa.dto.AnnouncementResponse;
import cn.com.ty.lift.enterprise.oa.entity.Announcement;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 公司公告 服务类
 * </p>
 *
 * @author wcz
 * @since 2020-02-04
 */
public interface IAnnouncementService extends IService<Announcement> {

    IPage<AnnouncementResponse> pageByCondition(AnnouncementRequest request);

    AnnouncementResponse findByIdWithInfo(AnnouncementRequest request);

    boolean add(Announcement entity);
}
