package cn.com.ty.lift.business.annualinspection.service;

import cn.com.ty.lift.business.annualinspection.dto.InspectionRequest;
import cn.com.ty.lift.business.annualinspection.dto.InspectionResponse;
import cn.com.ty.lift.business.annualinspection.entity.AnnualInspection;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 年检记录 服务类
 * </p>
 *
 * @author wcz
 * @since 2020-02-04
 */
public interface IAnnualInspectionService extends IService<AnnualInspection> {

    InspectionResponse selectByIdWithInfo(InspectionRequest request);

    IPage<InspectionResponse> pageByCondition(InspectionRequest request);

    long countByCondition(InspectionRequest request);

    boolean modify(AnnualInspection entity);

    IPage<InspectionResponse> pageByUser(InspectionRequest request);

}
