package cn.com.ty.lift.business.library.dao.entity.model.request;

import cn.com.ty.lift.common.utils.Judger;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 *     电梯上传请求参数
 * </p>
 * @author wcz
 * @since  2020/1/11 10:49
 */
@Data
public class LiftImportRequest {

    @Judger(message = "缺少上传文件数据")
    private MultipartFile file;

    @Judger(message = "维保公司ID有误")
    private Long mtCompanyId;

    @Judger(message = "项目ID有误")
    private Long projectId;
}
