package cn.com.ty.lift.business.maintenance.dao.entity.model.response;

import lombok.Data;

import java.time.LocalDate;

/**
 * @author bieao
 * @date 2020/1/6
 * @description 保养信息返回体
 */
@Data
public class MaintenanceRecordResponse {

    /**
     * 上次保养日期
     */
    private LocalDate workDate;
    /**
     * 上次保养类型
     */
    private String type;
    /**
     * 电梯id
     */
    private String liftId;
    /**
     * 电梯位置
     */
    private String devicePosition;
    /**
     * 项目名称
     */
    private String projectName;
}
