package cn.com.ty.lift.business.project.dao.entity.model.request;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author bieao
 * @date 2020/1/19
 * @description 项目统计请求
 */
@Data
public class ProjectCountRequest {
    /**
     * 公司id
     */
    @NotNull(message = "notEmpty")
    private Long mtCompanyId;

    /**
     * 项目状态
     */
    @NotEmpty(message = "notEmpty")
    private String projectStatus;
}
