package cn.com.ty.lift.enterprise.custom.dao.entity.model;

import cn.com.ty.lift.enterprise.custom.dao.entity.PropertyCompany;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * (甲方公司)客户表
 * </p>
 *
 * @author wang-hai-cheng
 * @since 2019-11-11
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PropertyCompanyReq extends PropertyCompany implements Serializable {

    private String info;

    private Long pageNum;
    private Long pageSize;

    private Long propertyCompanyId;
    private Long propertyContactId;

}
