package cn.com.ty.lift.enterprise.oa.service;

import cn.com.ty.lift.enterprise.oa.dto.LiftCertificateRequest;
import cn.com.ty.lift.enterprise.oa.dto.LiftCertificateResponse;
import cn.com.ty.lift.enterprise.oa.entity.LiftCertificate;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 操作证 服务类
 * </p>
 *
 * @author wcz
 * @since 2020-02-04
 */
public interface ILiftCertificateService extends IService<LiftCertificate> {

    LiftCertificateResponse findByIdWithInfo(LiftCertificateRequest request);

    IPage<LiftCertificateResponse> pageByCondition(LiftCertificateRequest request);

    long countByCondition(LiftCertificateRequest request);

    LiftCertificate findByUserAndMtCompany(Long id, Long ownerId, Long mtCompanyId);

    int countByUserAndMtCompany(Long ownerId, Long mtCompanyId);

}
