package cn.com.ty.lift.system.user.controller;

import cn.com.ty.lift.system.user.dao.entity.model.AppletLoginRequest;
import cn.com.xwy.boot.web.dto.RestResponse;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author huangyuan
 * @date 2020/2/3
 * @description 小程序登陆
 */
@RestController
@RequestMapping("/applet")
public class AppletLoginController {

    /**
     * @param
     * @return
     * @description 小程序登陆
     * @date 2020/2/3 9:21 上午
     */
    @RequestMapping("/login")
    public RestResponse login(AppletLoginRequest appletLoginRequest) {
        return RestResponse.success();
    }


    /**
     * @param
     * @return
     * @description 绑定手机号
     * @date 2020/2/3 9:28 上午
     */
    @RequestMapping("/bindingMobile")
    public RestResponse bindingMobile(AppletLoginRequest appletLoginRequest) {
        return RestResponse.success();
    }

}
